> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.whizcozy.com/api-reference/whiz-board-api/uploads/share-file-api-v-1-firms-firm-slug-uploads-file-id-shares-post/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.whizcozy.com/_mcp/server. # Share File POST https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/{firm_slug}/uploads/{file_id}/shares Content-Type: application/json Share an existing firm file with one or more firm members. Reference: https://docs.whizcozy.com/api-reference/whiz-board-api/uploads/share-file-api-v-1-firms-firm-slug-uploads-file-id-shares-post ## Authentication - `Authorization` header (required) — API Key authentication via header ## Request ### Path parameters - `file_id` (integer, required) - `firm_slug` (string, required) ### Body (application/json) This endpoint expects a FileShareCreateRequest. - `shared_with_user_ids` (list of integer, required) - `permission_type` (enum, optional, default: viewer) - Allowed values: `viewer`, `editor` ## Response ### 200 Successful Response - `data` (FileShareCreateResponse, required) - `status` (string, optional, default: success) ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### FileShareCreateResponse - `file_id` (integer, required) - `shares` (list of FileShareItem, required) ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) - `input` (any, optional) - `ctx` (ValidationErrorCtx, optional) ### FileShareItem - `id` (integer, required) - `file_id` (integer, required) - `shared_with_user_id` (integer, required) - `shared_by_user_id` (integer, required) - `permission_type` (string, required) - `created_at` (datetime, required, nullable) ### ValidationErrorLocItems ### ValidationErrorCtx ## Examples **Request** ```json { "shared_with_user_ids": [ 1 ] } ``` **Response** ```json { "data": { "file_id": 1, "shares": [ { "id": 1, "file_id": 1, "shared_with_user_id": 1, "shared_by_user_id": 1, "permission_type": "string", "created_at": "2024-01-15T09:30:00Z" } ] }, "status": "success" } ``` **SDK Code** ```python import requests url = "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads/1/shares" payload = { "shared_with_user_ids": [1] } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads/1/shares'; const options = { method: 'POST', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"shared_with_user_ids":[1]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads/1/shares" payload := strings.NewReader("{\n \"shared_with_user_ids\": [\n 1\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads/1/shares") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"shared_with_user_ids\": [\n 1\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads/1/shares") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"shared_with_user_ids\": [\n 1\n ]\n}") .asString(); ``` ```php request('POST', 'https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads/1/shares', [ 'body' => '{ "shared_with_user_ids": [ 1 ] }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads/1/shares"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"shared_with_user_ids\": [\n 1\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = ["shared_with_user_ids": [1]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/uploads/1/shares")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```